| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
IODirEntryList Class Reference
General

list of dir entries. More...

`#include <iodirentry.h>`

Inheritance diagram for IODirEntryList:
[legend]

## Public Member Functions
| IODirEntryList (const IODir &, const IOObjContext &)
| IODir is expected to remain alive.
| IODirEntryList (const IODir &, const TranslatorGroup *, bool maychgdir, const char *translator_globexpr=0)
| IODir is expected to remain alive.
| ~IODirEntryList ()
const IODirEntry * | current () const
void | fill (const IODir &, const char *nmfiltglobexpr=0)
| IODir is expected to remain alive.
void | getIOObjNames (BufferStringSet &) const
BufferStringSet | getValuesFor (const char *key) const
| key can be either the translator group name or an omf metadata key
int | indexOf (const char *) const
int | indexOf (const IODirEntry *e) const override
const char * | name () const
void | removeWithTranslator (const char *)
const IOObj * | selected () const
void | setCurrent (int idx)
void | setSelected (const MultiID &)
void | sort ()
Public Member Functions inherited from ObjectSet< IODirEntry >
| ObjectSet ()
| ObjectSet (const ObjectSet &)
| ObjectSet (IODirEntry *)
| ObjectSet (IODirEntry *, IODirEntry *)
| ObjectSet (IODirEntry *, IODirEntry *, IODirEntry *)
virtual | ~ObjectSet ()
ObjectSet & | add (IODirEntry *t)
bool | addIfNew (IODirEntry *)
void | allowNull (bool yn=true)
virtual void | append (const ObjectSet &)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
virtual void | copy (const ObjectSet &)
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
IODirEntry * | first ()
const IODirEntry * | first () const
virtual IODirEntry * | get (const IODirEntry *) const
| check & unconst
virtual IODirEntry * | get (idx_type)
virtual const IODirEntry * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual void | insertAfter (IODirEntry *newptr, idx_type)
virtual void | insertAt (IODirEntry *newptr, idx_type)
virtual bool | isManaged () const
virtual bool | isPresent (const IODirEntry *) const
IODirEntry * | last ()
const IODirEntry * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (IODirEntry *t)
virtual ObjectSet & | operator-= (IODirEntry *)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const IODirEntry * | operator[] (const IODirEntry *t) const
IODirEntry * | operator[] (idx_type i)
const IODirEntry * | operator[] (idx_type i) const
void | plainErase ()
virtual IODirEntry * | pop ()
void | push (IODirEntry *t)
virtual void | removeRange (idx_type from, idx_type to)
virtual IODirEntry * | removeSingle (idx_type, bool keep_order=true)
virtual IODirEntry * | replace (idx_type, IODirEntry *)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Public Attributes
IOObjContext & | ctxt
MultiID | lastiokey

## Protected Attributes
int | cur_
bool | maycd_
BufferString | name_
Protected Attributes inherited from ObjectSet< IODirEntry >
bool | allow0_
impl_type | vec_

## Additional Inherited Members
Public Types inherited from ObjectSet< IODirEntry >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef IODirEntry | object_type
typedef value_type & | reference
typedef int | size_type
typedef IODirEntry * | value_type
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()
Protected Types inherited from ObjectSet< IODirEntry >
typedef VectorAccess< IODirEntry *, size_type > | impl_type
Protected Member Functions inherited from ObjectSet< IODirEntry >
virtual ObjectSet & | doAdd (IODirEntry *)

## Detailed Description

list of dir entries.

<>

## Constructor & Destructor Documentation

## ◆ IODirEntryList() [1/2]

IODirEntryList::IODirEntryList | ( | const IODir & | ,
|  | const IOObjContext & | )

IODir is expected to remain alive.

## ◆ IODirEntryList() [2/2]

IODirEntryList::IODirEntryList | ( | const IODir & | ,
|  | const TranslatorGroup * | ,
|  | bool | maychgdir,
|  | const char * | translator_globexpr = 0 )

IODir is expected to remain alive.

## ◆ ~IODirEntryList()

IODirEntryList::~IODirEntryList | ( |  | ) |

## Member Function Documentation

## ◆ current()

const IODirEntry * IODirEntryList::current | ( |  | ) | const
| inline

## ◆ fill()

void IODirEntryList::fill | ( | const IODir & | ,
|  | const char * | nmfiltglobexpr = 0 )

IODir is expected to remain alive.

## ◆ getIOObjNames()

void IODirEntryList::getIOObjNames | ( | BufferStringSet & |  | ) | const

## ◆ getValuesFor()

BufferStringSet IODirEntryList::getValuesFor | ( | const char * | key | ) | const

key can be either the translator group name or an omf metadata key

## ◆ indexOf() [1/2]

int IODirEntryList::indexOf | ( | const char * |  | ) | const

## ◆ indexOf() [2/2]

int IODirEntryList::indexOf | ( | const IODirEntry * | e | ) | const
| inline override virtual

Reimplemented from ObjectSet< IODirEntry >.

## ◆ name()

const char * IODirEntryList::name | ( |  | ) | const
| inline

## ◆ removeWithTranslator()

void IODirEntryList::removeWithTranslator | ( | const char * |  | ) |

## ◆ selected()

const IOObj * IODirEntryList::selected | ( |  | ) | const
| inline

## ◆ setCurrent()

void IODirEntryList::setCurrent | ( | int | idx | ) |
| inline

## ◆ setSelected()

void IODirEntryList::setSelected | ( | const MultiID & |  | ) |

## ◆ sort()

void IODirEntryList::sort | ( |  | ) |

## Member Data Documentation

## ◆ ctxt

IOObjContext& IODirEntryList::ctxt

## ◆ cur_

int IODirEntryList::cur_
| protected

## ◆ lastiokey

MultiID IODirEntryList::lastiokey

## ◆ maycd_

bool IODirEntryList::maycd_
| protected

## ◆ name_

BufferString IODirEntryList::name_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025